#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n;
    string s;
    getline(cin, s);
    cin>>n;
    n%=26;
    for(long long i = 0; i < s.size(); i++){
        if(s[i] >= 'a' && s[i] <= 'z'){
            long long num = ((s[i] - 'a') - n);
            if(num < 0){
                num += 26;
            }
            cout<<char(num%26 + 'a');
        }else if(s[i] >= 'A' && s[i] <= 'Z'){
            long long num = ((s[i] - 'A') - n);
            if(num < 0){
                num += 26;
            }
            cout<<char(num%26 + 'A');
        }else{
            cout<<s[i];
        }
    }
    cout<<endl;
    return 0;
}
